Bug 1657711 - Exporting CV version with non-yum repos not producing correct error for end user [NEEDINFO]
Summary: Exporting CV version with non-yum repos not producing correct error for end user
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Inter Satellite Sync
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: Chris Roberts
QA Contact: Jitendra Yejare
URL: https://projects.theforeman.org/issue...
Whiteboard:
Depends On: 1683592
Blocks: 1644596
TreeView+ depends on / blocked
 
Reported: 2018-12-10 10:27 UTC by Jitendra Yejare
Modified: 2019-10-07 17:19 UTC (History)
3 users (show)

Fixed In Version: tfm-rubygem-hammer_cli_katello-0.16.0.9-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:39:23 UTC
jyejare: needinfo? (chrobert)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github Katello hammer-cli-katello pull 627 None None None 2019-02-05 17:54:47 UTC
Foreman Issue Tracker 25995 None None None 2019-02-05 17:54:47 UTC
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:31 UTC

Description Jitendra Yejare 2018-12-10 10:27:35 UTC
Description of problem:
If I export a CV version with non-yum repos(Satellite 6.5), the CV version gets exported. The exported has a json file but archive of contents is not seen(as expected). When Satellite attempts to tar the archive of no contets, it throws :
```
tar: Cowardly refusing to create an empty archive
Try `tar --help' or `tar --usage' for more information.
```

Version-Release number of selected component (if applicable):
Satellite 6.5.0 snap 7

How reproducible:
Always

Steps to Reproduce:
1. Create Product with puppet repo, having puppet module
2. Create a Product with above puppet repo.
3. Publish above CV
4. Attempt to export above Cv version.

Actual results:
Satellite throws improper error:
```
tar: Cowardly refusing to create an empty archive
Try `tar --help' or `tar --usage' for more information
```

Expected results:
Satellite should inform user for non-supporting of non-yum of Cv version export, untill supported.

Additional info:

Comment 4 Jitendra Yejare 2019-03-05 13:22:05 UTC
Failed QA!

@Satellite 6.5 snap 18

Package Version: tfm-rubygem-hammer_cli_katello-0.16.0.9-1.el7sat.noarch

The issue is still reproducible:

# hammer content-view version export --id 3 --export-dir /var/lib/pulp/katello-export
tar: Cowardly refusing to create an empty archive
Try `tar --help' or `tar --usage' for more information.

Comment 5 Chris Roberts 2019-03-05 15:17:55 UTC
Needs:

https://bugzilla.redhat.com/show_bug.cgi?id=1683592

Setting back to ON_QA

Comment 6 Jitendra Yejare 2019-03-06 13:08:50 UTC
@Chris,

I think that bug is duplicate of this bug? Cant we mark that one as duplicate and make this one Working_on ?

Comment 7 Jitendra Yejare 2019-03-18 09:54:13 UTC
Verified!

@ Satellite 6.5 snap 20


Steps:
1. Created Product with puppet repo, having a puppet module
2. Created a Product with above puppet repo.
3. Published above CV
4. Attempted to export above Cv version.

Observation:

1. The non-yum repos(specially  are not 
# hammer content-view version export --id 3 --export-dir /var/lib/pulp/katello-export
Could not export the content view:
  Error: The Content View 'puppet_Cv' contains Puppet modules, this is not supported at this time. Please remove the modules, publish a new version and try the export again.

Comment 9 errata-xmlrpc 2019-05-14 12:39:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.